# pydicom.tag.BaseTag

class `pydicom.tag.``BaseTag`

  Represents a DICOM element (group, element) tag.

  If using Python 2.7 then tags are represented as a `long`, while for Python 3 they are represented as an `int`.

  `element`

    The element number of the tag.

    Type: | int

  `group`

    The group number of the tag.

    Type: | int

  `is_private`

    Returns `True` if the corresponding element is private, `False` otherwise.

    Type: | bool

  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `as_integer_ratio` | Return integer ratio.
  `bit_length` | Number of bits necessary to represent self in binary.
  `conjugate` | Returns self, the complex conjugate of any int.
  `from_bytes` | Return the integer represented by the given array of bytes.
  `to_bytes` | Return an array of bytes representing an integer.

  Attributes

  `denominator` | the denominator of a rational number in lowest terms
  `elem` | Return the tag’s element number as `int`.
  `element` | Return the tag’s element number as `int`.
  `group` | Return the tag’s group number as `int`.
  `imag` | the imaginary part of a complex number
  `is_private` | Return `True` if the tag is private (has an odd group number).
  `is_private_creator` | Return `True` if the tag is a private creator.
  `numerator` | the numerator of a rational number in lowest terms
  `real` | the real part of a complex number

  `elem`

    Return the tag’s element number as `int`.

  `element`

    Return the tag’s element number as `int`.

  `group`

    Return the tag’s group number as `int`.

  `is_private`

    Return `True` if the tag is private (has an odd group number).

  `is_private_creator`

    Return `True` if the tag is a private creator.

    New in version 1.1.